bootstrap 4 plugin deprecated - how to address?

23 views
Skip to first unread message

Alan Sparks

unread,
Oct 11, 2021, 11:28:46 AM10/11/21
to Jenkins Users

This morning my Jenkins instances showed an alert the the “bootstrap 4 API” plugin was now deprecated.  I also have the bootstrap 5 plugin.  I went looking for either an uninstall to test or a way to confirm the message, but found neither.  The “uninstall” button is greyed out for the plugin (shows as a dependency of JUnit), and I don’t see a way to confirm/hide the notification.  Am I missing something?

 

All else is up to date, running Jenkins 2.202.2 and all plugins showing up to date.

Thanks for any advice.

-Alan

Ullrich Hafner

unread,
Oct 11, 2021, 4:53:34 PM10/11/21
to Jenkins Users

Am 11.10.2021 um 17:28 schrieb Alan Sparks <alan.l...@microfocus.com>:

This morning my Jenkins instances showed an alert the the “bootstrap 4 API” plugin was now deprecated.  I also have the bootstrap 5 plugin.  I went looking for either an uninstall to test or a way to confirm the message, but found neither.  The “uninstall” button is greyed out for the plugin (shows as a dependency of JUnit), and I don’t see a way to confirm/hide the notification.  Am I missing something?

I removed the deprecated label again. The plugin is deprecated but the PR for the JUnit plugin is still not merged.

 
All else is up to date, running Jenkins 2.202.2

This is a very very old Jenkins instance, you should consider upgrading.

and all plugins showing up to date.
Thanks for any advice.
-Alan

-- 
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to jenkinsci-use...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/DM6PR18MB3306FDD72AAE10519C7125B3C5B59%40DM6PR18MB3306.namprd18.prod.outlook.com.

Alan Sparks

unread,
Oct 11, 2021, 5:10:54 PM10/11/21
to jenkins...@googlegroups.com

Thanks for the info.   I’ll watch for the Junit update.  Below was a type, meant 2.303.2.  Was too early in the morning…

-Alan

Reply all
Reply to author
Forward
0 new messages